Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier
Class ErasureCodec

    java.lang.Object
      rice.p2p.glacier.ErasureCodec

public class ErasureCodec
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: ErasureCodec.java 2808 2005-11-22 14:38:49Z jeffh $
Author:
  ahae

Field Summary
`protected int` | `numFragments` DESCRIBE THE FIELD
`protected int` | `numSurvivors` DESCRIBE THE FIELD

Constructor Summary
`ErasureCodec(int _numFragments, int _numSurvivors, Environment env)` Constructor for ErasureCodec.

Method Summary
`java.io.Serializable` | `decode(Fragment[] frag)` DESCRIBE THE METHOD
`protected void` | `decodeChunk(int[] buffer, int nExtra, int[] RowInd, boolean[] haveFragment, long[][] InvMat, int[] ColInd)` DESCRIBE THE METHOD
`void` | `dump(byte[] data)` DESCRIBE THE METHOD
`Fragment[]` | `encode(byte[] bytes, boolean[] generateFragment)` DESCRIBE THE METHOD
`protected void` | `encodeChunk(int[] buffer)` Input: buffer of size ; first words contain message, rest is zeroes Output: buffer contains fragments
`Fragment[]` | `encodeObject(java.io.Serializable obj, boolean[] generateFragment)` DESCRIBE THE METHOD
`protected void` | `initElt()` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numFragments

    protected int numFragments

  DESCRIBE THE FIELD

### numSurvivors

    protected int numSurvivors

  DESCRIBE THE FIELD

Constructor Detail

### ErasureCodec

    public ErasureCodec(int _numFragments,
                        int _numSurvivors,
                        Environment env)

  Constructor for ErasureCodec.

Parameters:
  `_numFragments` - DESCRIBE THE PARAMETER
  `_numSurvivors` - DESCRIBE THE PARAMETER
  `env` - DESCRIBE THE PARAMETER

Method Detail

### dump

    public void dump(byte[] data)

  DESCRIBE THE METHOD

  Parameters:
    `data` - DESCRIBE THE PARAMETER

### encodeObject

    public Fragment[] encodeObject(java.io.Serializable obj,
                                   boolean[] generateFragment)

  DESCRIBE THE METHOD

  Parameters:
    `obj` - DESCRIBE THE PARAMETER
    `generateFragment` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### encodeChunk

    protected void encodeChunk(int[] buffer)

  Input: buffer of size ; first words contain message, rest is zeroes Output: buffer contains fragments

  Parameters:
    `buffer` - DESCRIBE THE PARAMETER

### encode

    public Fragment[] encode(byte[] bytes,
                             boolean[] generateFragment)

  DESCRIBE THE METHOD

  Parameters:
    `bytes` - DESCRIBE THE PARAMETER
    `generateFragment` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### decodeChunk

    protected void decodeChunk(int[] buffer,
                               int nExtra,
                               int[] RowInd,
                               boolean[] haveFragment,
                               long[][] InvMat,
                               int[] ColInd)

  DESCRIBE THE METHOD

  Parameters:
    `buffer` - DESCRIBE THE PARAMETER
    `nExtra` - DESCRIBE THE PARAMETER
    `RowInd` - DESCRIBE THE PARAMETER
    `haveFragment` - DESCRIBE THE PARAMETER
    `InvMat` - DESCRIBE THE PARAMETER
    `ColInd` - DESCRIBE THE PARAMETER

### decode

    public java.io.Serializable decode(Fragment[] frag)

  DESCRIBE THE METHOD

  Parameters:
    `frag` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### initElt

    protected void initElt()

  DESCRIBE THE METHOD

### main

    public static void main(java.lang.String[] args)

  DESCRIBE THE METHOD

  Parameters:
    `args` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.